org.jetlang.remote.acceptor

## Class SessionMessage<T>

- java.lang.Object
- - org.jetlang.remote.acceptor.SessionMessage<T>

    public class SessionMessage<T>
    extends Object

User: mrettig Date: 4/6/11 Time: 11:11 AM

### Constructor Summary

Constructors
Constructor and Description
`SessionMessage(String topic, T msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getMessage()`
`String` `getTopic()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionMessage

    public SessionMessage(String topic,
                          T msg)

### Method Detail

#### getTopic

    public String getTopic()

#### getMessage

    public T getMessage()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`